<div class="card mt-2">
    <div class="card-header">
        <div class="row">
            <div class="col-10">
                Boards
            </div>
            <div class="col-2 text-right">
                <a href="#!/boards/create" class="btn btn-success ">Add Board</a>
            </div>
        </div>

    </div>
    <div class="card-body">
        <table class="table table-bordered table-striped">
            <thead>
            <tr>
                <td>ID</td>
                <td>NAME</td>
                <td>DESCRIPTION</td>
                <td>CATEGORY</td>
                <td>CREATED AT</td>
                <td>UPDATED AT</td>
                <td>ACTIONS</td>
            </tr>
            </thead>
            <tbody>
                <tr ng-repeat-start="board in BoardCtrl.boards track by $index">
                    <td>{{board.id}}</td>
                    <td>{{board.name}}</td>
                    <td>{{board.description}}</td>
                    <td>{{board.category.name}}</td>
                    <td>{{board.created_at}}</td>
                    <td>{{board.updated_at}}</td>
                    <td>
                        <a href="#!/boards/{{board.id}}/edit" class="btn btn-sm btn-warning">EDIT</a>
                        <button ng-click="BoardCtrl.deleteBoard(board.id, $index)" class="btn btn-sm btn-danger">DELETE</button>
                        <a href="#!/boards/{{board.id}}/ideas/create" class="btn btn-sm btn-success">ADD IDEA</a>
                    </td>
                </tr>
                <tr ng-repeat-end>
                   <td colspan="7">
                       <h4 class="lead mb-3">{{board.name}} - Ideas</h4>
                       <ul class="list-group list-group-flush">
                           <li class="list-group-item" ng-repeat="idea in board.ideas track by $index">#{{idea.id}} - {{idea.description}}</li>
                       </ul>
                   </td>
                </tr>
            </tbody>
        </table>

    </div>
</div>
